DevToolPal
RU

Проверка синтаксиса email-адресов

Проверка синтаксиса одного или многих email-адресов, поиск частых опечаток в доменах и удаление дубликатов. Только формат, без проверки ящика.

Работает локально, без загрузки на сервер

Параметры

Показать

Email-адреса (по одному в строке)

Символов: 0 · 0 B

Проверка синтаксиса

Здесь появится результат

Что делает инструмент

Этот инструмент проверяет, правильно ли записаны email-адреса. Вставьте один адрес или целый список, и каждый будет отмечен как корректный или некорректный с указанием причины: например, нет @, две точки подряд, в домене нет точки или встречается недопустимый символ. Это полезно, чтобы почистить список рассылки перед импортом, проверить правила валидации формы или найти ту самую битую строку в выгрузке CSV.

Проверяется только формат. Инструмент не обращается ни к одному почтовому серверу, поэтому не может сказать, существует ли ящик и принимает ли он почту.

Как пользоваться

  1. Вставьте адреса в поле ввода, по одному в строке. Запятые и точки с запятой тоже работают как разделители, поэтому можно сразу вставить строку «Кому:».
  2. Результаты появляются по мере ввода вместе со сводкой: сколько адресов корректны, а сколько нет.
  3. С помощью Показать выводите все, только корректные или только некорректные адреса. Удалить дубликаты убирает повторы; домен сравнивается без учёта регистра.
  4. Нажмите Копировать корректные, чтобы скопировать очищенный список, по одному адресу в строке.

Отображаемые имена тоже обрабатываются: Bob Smith <bob@example.com> проверяется как bob@example.com с пометкой, что имя удалено.

Что проверяется

  • Ровно один @ (вне кавычек), и с обеих сторон от него что-то есть.
  • Весь адрес не длиннее 254 символов, а часть до @ — не длиннее 64.
  • Локальная часть состоит из допустимых символов, без точек в начале, в конце и без двух точек подряд. Локальные части в кавычках вроде "john doe"@example.org допускаются с предупреждением.
  • В домене не меньше двух меток, каждая длиной 1–63 символа из букв, цифр и дефисов, не начинается и не заканчивается дефисом, а домен верхнего уровня выглядит настоящим. IP-литералы вроде admin@[192.168.0.1] допускаются с предупреждением.
  • Для частых опечаток в популярных доменах, например gmial.com или qq.con, предлагается вариант «Может быть…».

Пример

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

Частые вопросы

› Проверяет ли инструмент, существует ли почтовый ящик?

Нет. Это только проверка синтаксиса. Инструмент не ищет почтовые серверы домена и не обращается к ним, поэтому адрес может пройти проверку здесь и всё равно вернуться с ошибкой доставки. Для подтверждения ящика нужен сервер, а единственный надёжный способ — отправить письмо с подтверждением.

› Загружаются ли адреса на сервер?

Нет. Все проверки выполняются в браузере, поэтому ваши списки рассылки никогда не покидают устройство.

› Каким правилам следует проверка?

Синтаксису адресов из RFC 5321 и RFC 5322, а также интернационализированным адресам из RFC 6531. Устаревшие формы, например комментарии внутри адреса, отклоняются, потому что их почти не принимает ни одна почтовая система.

› Почему корректный адрес помечен предупреждением?

Некоторые адреса допустимы, но рискованны: вероятная опечатка вроде gmial.com, IP-адрес вместо домена, локальная часть в кавычках или не-ASCII символы, которые отклоняют некоторые серверы. Такой адрес всё равно считается корректным.